1. AnyStream is having some DRM issues currently, download with Amazon, Netflix and Hulu is not possible at the moment.
    Situations like this will always happen with AnyStream: streaming providers are continuously improving their countermeasures while we try to catch up, it's an ongoing cat-and-mouse game. Please be patient and don't flood our support or forum with requests, we are working on it 24/7 to get it resolved - but it will take a few days. Thank you.

Audio stream selected

Discussion in 'AnyStream' started by Richard Sava, Jan 20, 2021.

Tags:
  1. Richard Sava

    Richard Sava Well-Known Member

    Wondering how AS
    a) gets the audio stream list order from the provider (sometimes the stream I want is last in the list, sometimes it is in a different position)
    b) actually chooses the audio stream to use

    Example, I am currently DLing Twilight Zone series from NF. There are three audio streams available. The audio stream I am picking is sometimes listed last, sometimes listed second. But AS is always picking the second stream.
    On things that have a lot of streams, it can sometimes pick the last stream or sometimes one in the middle of the list.
    There does not seem to be any rhyme or reason to it.
    The only option I see for audio is "Enable downloading surround sound (where available) instead of stereo"
     
  2. Ch3vr0n

    Ch3vr0n Translator NL

    a) falls under technical details, not discussed on the forum. All there is to say is that available audio/video/subtitle tracks are mentioned in a playlist file and the order of those entries can vary. They're not (always) alphabetical

    b) AS remembers the last stream(s) selected in the last downloaded title. If the order of the selected tracks changes between downloads, then so can the place of the selected tracks.

    Sent from my Pixel 3 XL using Tapatalk
     
  3. Richard Sava

    Richard Sava Well-Known Member

    a) thanks, yes not looking for technical details, sorry.

    b) OK, then this is not happening. I choose an episode, AS has auto chosen the second stream (out of 3), 128 kbps HE-AAC 2.0.
    I choose the last stream quality listed (in this case 128 kbps DDPlus 2.0) and I download a file.
    The next episode the last stream listed is still 128 kbps DDPlus 2.0 but AS has again chosen the second stream (128 kbps HE-AAC 2.0).
    The only time it auto chooses the DDPLus 2.0 stream is if it is suddenly in the second spot.

    It also does not keep the same quality chosen when there are many streams available.

    Am I missing something?

    (BTW, still on 1.0.7.0 but that should not matter I wouldn't think.)
     
  4. Ch3vr0n

    Ch3vr0n Translator NL

    B) I was talking about languages selected, but it should apply to selected bitrates too. And yes you should update to the latest 1082 version. Support can only be accurately given to up-to-date versions as problems a user may be having can be potentially be fixed in the current version.

    Sent from my Pixel 3 XL using Tapatalk
     
  5. Richard Sava

    Richard Sava Well-Known Member

  6. Ch3vr0n

    Ch3vr0n Translator NL

    Then you need to update to 1090, because the first thing too be told to do with any problem is update to the latest release our we simply won't be able to help you.

    Sent from my Pixel 3 XL using Tapatalk
     
  7. Richard Sava

    Richard Sava Well-Known Member

    Thanks for your concern but I do not NEED to update to 1.0.9.0.
    Currently, it is annoying, not broken
    I will live with it until I am sure the latest is not broken.
    Again, thanks for your concern.
     
  8. DannyBoi

    DannyBoi Well-Known Member

    Version 1.0.9.0 ISNT BROKEN ITS WORKING Fine and also fixed the audio sync issues to
     
  9. scalon

    scalon Member

    I stayed at 1.0.6.0 until it stopped working yesterday. It FORCED me to update because the version I used said my 1.0.6.0 was too old to work anymore and I HAD to upgrade to continue using the software. It's kind of silly since I paid full price for it. We should have the "option" to stay with whatever version we want as long as it works in our favor (sigh). Anyway, I upgraded to 1.0.9.0 and so far it's worked ok for me in the last 24 hours. Hope whatever you're using works out for you man.